(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     25827,        696]
NotebookOptionsPosition[     24751,        655]
NotebookOutlinePosition[     25086,        670]
CellTagsIndexPosition[     25043,        667]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"N1", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", "x"}], ")"}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "y"}], ")"}], "/", "4."}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"N2", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "x"}], ")"}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "y"}], ")"}], "/", "4."}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"N3", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", "x"}], ")"}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", "y"}], ")"}], "/", "4."}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"N4", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "x"}], ")"}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", "y"}], ")"}], "/", "4."}]}]}]}], "Input",
 CellChangeTimes->{{3.505213075492949*^9, 3.505213084002287*^9}, {
  3.5052133119259872`*^9, 3.5052134322764482`*^9}}],

Cell[BoxData[
 RowBox[{"0.25`", " ", 
  RowBox[{"(", 
   RowBox[{"1", "-", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "-", "y"}], ")"}]}]], "Output",
 CellChangeTimes->{{3.505213356682575*^9, 3.5052133780978527`*^9}, 
   3.505213432991637*^9}],

Cell[BoxData[
 RowBox[{"0.25`", " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "-", "y"}], ")"}]}]], "Output",
 CellChangeTimes->{{3.505213356682575*^9, 3.5052133780978527`*^9}, 
   3.505213432995349*^9}],

Cell[BoxData[
 RowBox[{"0.25`", " ", 
  RowBox[{"(", 
   RowBox[{"1", "-", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", "y"}], ")"}]}]], "Output",
 CellChangeTimes->{{3.505213356682575*^9, 3.5052133780978527`*^9}, 
   3.505213432999531*^9}],

Cell[BoxData[
 RowBox[{"0.25`", " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", "x"}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", "y"}], ")"}]}]], "Output",
 CellChangeTimes->{{3.505213356682575*^9, 3.5052133780978527`*^9}, 
   3.505213433056473*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"X", "[", 
   RowBox[{"\[Xi]_", ",", "\[Eta]_"}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"N1", "[", 
     RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "X1"}], "+", 
   RowBox[{
    RowBox[{"N2", "[", 
     RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "X2"}], "+", 
   RowBox[{
    RowBox[{"N3", "[", 
     RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "X3"}], "+", 
   RowBox[{
    RowBox[{"N4", "[", 
     RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], 
    "X4"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Y", "[", 
   RowBox[{"\[Xi]_", ",", "\[Eta]_"}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"N1", "[", 
     RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "Y1"}], "+", 
   RowBox[{
    RowBox[{"N2", "[", 
     RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "Y2"}], "+", 
   RowBox[{
    RowBox[{"N3", "[", 
     RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "Y3"}], "+", 
   RowBox[{
    RowBox[{"N4", "[", 
     RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], 
    "Y4"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Z", "[", 
   RowBox[{"\[Xi]_", ",", "\[Eta]_"}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"N1", "[", 
     RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "Z1"}], "+", 
   RowBox[{
    RowBox[{"N2", "[", 
     RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "Z2"}], "+", 
   RowBox[{
    RowBox[{"N3", "[", 
     RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "Z3"}], "+", 
   RowBox[{
    RowBox[{"N4", "[", 
     RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "Z4"}]}]}]}], "Input",
 CellChangeTimes->{{3.505213472017558*^9, 3.5052136001920013`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"0.25`", " ", "X1", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Eta]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Xi]"}], ")"}]}], "+", 
  RowBox[{"0.25`", " ", "X3", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "\[Eta]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Xi]"}], ")"}]}], "+", 
  RowBox[{"0.25`", " ", "X2", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Eta]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "\[Xi]"}], ")"}]}], "+", 
  RowBox[{"0.25`", " ", "X4", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "\[Eta]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "\[Xi]"}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.505213603009903*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"0.25`", " ", "Y1", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Eta]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Xi]"}], ")"}]}], "+", 
  RowBox[{"0.25`", " ", "Y3", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "\[Eta]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Xi]"}], ")"}]}], "+", 
  RowBox[{"0.25`", " ", "Y2", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Eta]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "\[Xi]"}], ")"}]}], "+", 
  RowBox[{"0.25`", " ", "Y4", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "\[Eta]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "\[Xi]"}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.505213603067565*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"0.25`", " ", "Z1", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Eta]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Xi]"}], ")"}]}], "+", 
  RowBox[{"0.25`", " ", "Z3", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "\[Eta]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Xi]"}], ")"}]}], "+", 
  RowBox[{"0.25`", " ", "Z2", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Eta]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "\[Xi]"}], ")"}]}], "+", 
  RowBox[{"0.25`", " ", "Z4", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "\[Eta]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "\[Xi]"}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.505213603072516*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"nds", "=", 
  RowBox[{"Cross", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "\[Xi]"], 
       RowBox[{"X", "[", 
        RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}]}], ",", 
      RowBox[{
       SubscriptBox["\[PartialD]", "\[Xi]"], 
       RowBox[{"Y", "[", 
        RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}]}], ",", 
      RowBox[{
       SubscriptBox["\[PartialD]", "\[Xi]"], 
       RowBox[{"Z", "[", 
        RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "\[Eta]"], 
       RowBox[{"X", "[", 
        RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}]}], ",", 
      RowBox[{
       SubscriptBox["\[PartialD]", "\[Eta]"], 
       RowBox[{"Y", "[", 
        RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}]}], ",", 
      RowBox[{
       SubscriptBox["\[PartialD]", "\[Eta]"], 
       RowBox[{"Z", "[", 
        RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}]}]}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.5052139195538797`*^9, 3.505213924725267*^9}, {
  3.5052139556535473`*^9, 3.505214003341666*^9}, {3.505214107474146*^9, 
  3.505214135214471*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"0.`", "\[VeryThinSpace]", "-", 
    RowBox[{"0.125`", " ", "Y2", " ", "Z1"}], "+", 
    RowBox[{"0.125`", " ", "Y3", " ", "Z1"}], "+", 
    RowBox[{"0.125`", " ", "Y1", " ", "Z2"}], "-", 
    RowBox[{"0.125`", " ", "Y4", " ", "Z2"}], "-", 
    RowBox[{"0.125`", " ", "Y1", " ", "Z3"}], "+", 
    RowBox[{"0.125`", " ", "Y4", " ", "Z3"}], "+", 
    RowBox[{"0.125`", " ", "Y2", " ", "Z4"}], "-", 
    RowBox[{"0.125`", " ", "Y3", " ", "Z4"}], "+", 
    RowBox[{"0.125`", " ", "Y2", " ", "Z1", " ", "\[Eta]"}], "-", 
    RowBox[{"0.125`", " ", "Y4", " ", "Z1", " ", "\[Eta]"}], "-", 
    RowBox[{"0.125`", " ", "Y1", " ", "Z2", " ", "\[Eta]"}], "+", 
    RowBox[{"0.125`", " ", "Y3", " ", "Z2", " ", "\[Eta]"}], "-", 
    RowBox[{"0.125`", " ", "Y2", " ", "Z3", " ", "\[Eta]"}], "+", 
    RowBox[{"0.125`", " ", "Y4", " ", "Z3", " ", "\[Eta]"}], "+", 
    RowBox[{"0.125`", " ", "Y1", " ", "Z4", " ", "\[Eta]"}], "-", 
    RowBox[{"0.125`", " ", "Y3", " ", "Z4", " ", "\[Eta]"}], "-", 
    RowBox[{"0.125`", " ", "Y3", " ", "Z1", " ", "\[Xi]"}], "+", 
    RowBox[{"0.125`", " ", "Y4", " ", "Z1", " ", "\[Xi]"}], "+", 
    RowBox[{"0.125`", " ", "Y3", " ", "Z2", " ", "\[Xi]"}], "-", 
    RowBox[{"0.125`", " ", "Y4", " ", "Z2", " ", "\[Xi]"}], "+", 
    RowBox[{"0.125`", " ", "Y1", " ", "Z3", " ", "\[Xi]"}], "-", 
    RowBox[{"0.125`", " ", "Y2", " ", "Z3", " ", "\[Xi]"}], "-", 
    RowBox[{"0.125`", " ", "Y1", " ", "Z4", " ", "\[Xi]"}], "+", 
    RowBox[{"0.125`", " ", "Y2", " ", "Z4", " ", "\[Xi]"}]}], ",", 
   RowBox[{"0.`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.125`", " ", "X2", " ", "Z1"}], "-", 
    RowBox[{"0.125`", " ", "X3", " ", "Z1"}], "-", 
    RowBox[{"0.125`", " ", "X1", " ", "Z2"}], "+", 
    RowBox[{"0.125`", " ", "X4", " ", "Z2"}], "+", 
    RowBox[{"0.125`", " ", "X1", " ", "Z3"}], "-", 
    RowBox[{"0.125`", " ", "X4", " ", "Z3"}], "-", 
    RowBox[{"0.125`", " ", "X2", " ", "Z4"}], "+", 
    RowBox[{"0.125`", " ", "X3", " ", "Z4"}], "-", 
    RowBox[{"0.125`", " ", "X2", " ", "Z1", " ", "\[Eta]"}], "+", 
    RowBox[{"0.125`", " ", "X4", " ", "Z1", " ", "\[Eta]"}], "+", 
    RowBox[{"0.125`", " ", "X1", " ", "Z2", " ", "\[Eta]"}], "-", 
    RowBox[{"0.125`", " ", "X3", " ", "Z2", " ", "\[Eta]"}], "+", 
    RowBox[{"0.125`", " ", "X2", " ", "Z3", " ", "\[Eta]"}], "-", 
    RowBox[{"0.125`", " ", "X4", " ", "Z3", " ", "\[Eta]"}], "-", 
    RowBox[{"0.125`", " ", "X1", " ", "Z4", " ", "\[Eta]"}], "+", 
    RowBox[{"0.125`", " ", "X3", " ", "Z4", " ", "\[Eta]"}], "+", 
    RowBox[{"0.125`", " ", "X3", " ", "Z1", " ", "\[Xi]"}], "-", 
    RowBox[{"0.125`", " ", "X4", " ", "Z1", " ", "\[Xi]"}], "-", 
    RowBox[{"0.125`", " ", "X3", " ", "Z2", " ", "\[Xi]"}], "+", 
    RowBox[{"0.125`", " ", "X4", " ", "Z2", " ", "\[Xi]"}], "-", 
    RowBox[{"0.125`", " ", "X1", " ", "Z3", " ", "\[Xi]"}], "+", 
    RowBox[{"0.125`", " ", "X2", " ", "Z3", " ", "\[Xi]"}], "+", 
    RowBox[{"0.125`", " ", "X1", " ", "Z4", " ", "\[Xi]"}], "-", 
    RowBox[{"0.125`", " ", "X2", " ", "Z4", " ", "\[Xi]"}]}], ",", 
   RowBox[{"0.`", "\[VeryThinSpace]", "-", 
    RowBox[{"0.125`", " ", "X2", " ", "Y1"}], "+", 
    RowBox[{"0.125`", " ", "X3", " ", "Y1"}], "+", 
    RowBox[{"0.125`", " ", "X1", " ", "Y2"}], "-", 
    RowBox[{"0.125`", " ", "X4", " ", "Y2"}], "-", 
    RowBox[{"0.125`", " ", "X1", " ", "Y3"}], "+", 
    RowBox[{"0.125`", " ", "X4", " ", "Y3"}], "+", 
    RowBox[{"0.125`", " ", "X2", " ", "Y4"}], "-", 
    RowBox[{"0.125`", " ", "X3", " ", "Y4"}], "+", 
    RowBox[{"0.125`", " ", "X2", " ", "Y1", " ", "\[Eta]"}], "-", 
    RowBox[{"0.125`", " ", "X4", " ", "Y1", " ", "\[Eta]"}], "-", 
    RowBox[{"0.125`", " ", "X1", " ", "Y2", " ", "\[Eta]"}], "+", 
    RowBox[{"0.125`", " ", "X3", " ", "Y2", " ", "\[Eta]"}], "-", 
    RowBox[{"0.125`", " ", "X2", " ", "Y3", " ", "\[Eta]"}], "+", 
    RowBox[{"0.125`", " ", "X4", " ", "Y3", " ", "\[Eta]"}], "+", 
    RowBox[{"0.125`", " ", "X1", " ", "Y4", " ", "\[Eta]"}], "-", 
    RowBox[{"0.125`", " ", "X3", " ", "Y4", " ", "\[Eta]"}], "-", 
    RowBox[{"0.125`", " ", "X3", " ", "Y1", " ", "\[Xi]"}], "+", 
    RowBox[{"0.125`", " ", "X4", " ", "Y1", " ", "\[Xi]"}], "+", 
    RowBox[{"0.125`", " ", "X3", " ", "Y2", " ", "\[Xi]"}], "-", 
    RowBox[{"0.125`", " ", "X4", " ", "Y2", " ", "\[Xi]"}], "+", 
    RowBox[{"0.125`", " ", "X1", " ", "Y3", " ", "\[Xi]"}], "-", 
    RowBox[{"0.125`", " ", "X2", " ", "Y3", " ", "\[Xi]"}], "-", 
    RowBox[{"0.125`", " ", "X1", " ", "Y4", " ", "\[Xi]"}], "+", 
    RowBox[{"0.125`", " ", "X2", " ", "Y4", " ", "\[Xi]"}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.5052141001413116`*^9, 3.505214136554037*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"u", "[", 
   RowBox[{"\[Xi]_", ",", "\[Eta]_"}], "]"}], "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"N1", "[", 
       RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "U1"}], "+", 
     RowBox[{
      RowBox[{"N2", "[", 
       RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "U2"}], "+", 
     RowBox[{
      RowBox[{"N3", "[", 
       RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "U3"}], "+", 
     RowBox[{
      RowBox[{"N4", "[", 
       RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "U4"}]}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"N1", "[", 
       RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "V1"}], "+", 
     RowBox[{
      RowBox[{"N2", "[", 
       RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "V2"}], "+", 
     RowBox[{
      RowBox[{"N3", "[", 
       RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "V3"}], "+", 
     RowBox[{
      RowBox[{"N4", "[", 
       RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "V4"}]}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"N1", "[", 
       RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "W1"}], "+", 
     RowBox[{
      RowBox[{"N2", "[", 
       RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "W2"}], "+", 
     RowBox[{
      RowBox[{"N3", "[", 
       RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "W3"}], "+", 
     RowBox[{
      RowBox[{"N4", "[", 
       RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "W4"}]}]}], "}"}]}]], "Input",\

 CellChangeTimes->{{3.5052167171626987`*^9, 3.5052167914691067`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"0.25`", " ", "U1", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Eta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Xi]"}], ")"}]}], "+", 
    RowBox[{"0.25`", " ", "U3", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "\[Eta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Xi]"}], ")"}]}], "+", 
    RowBox[{"0.25`", " ", "U2", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Eta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "\[Xi]"}], ")"}]}], "+", 
    RowBox[{"0.25`", " ", "U4", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "\[Eta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "\[Xi]"}], ")"}]}]}], ",", 
   RowBox[{
    RowBox[{"0.25`", " ", "V1", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Eta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Xi]"}], ")"}]}], "+", 
    RowBox[{"0.25`", " ", "V3", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "\[Eta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Xi]"}], ")"}]}], "+", 
    RowBox[{"0.25`", " ", "V2", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Eta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "\[Xi]"}], ")"}]}], "+", 
    RowBox[{"0.25`", " ", "V4", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "\[Eta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "\[Xi]"}], ")"}]}]}], ",", 
   RowBox[{
    RowBox[{"0.25`", " ", "W1", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Eta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Xi]"}], ")"}]}], "+", 
    RowBox[{"0.25`", " ", "W3", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "\[Eta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Xi]"}], ")"}]}], "+", 
    RowBox[{"0.25`", " ", "W2", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Eta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "\[Xi]"}], ")"}]}], "+", 
    RowBox[{"0.25`", " ", "W4", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "\[Eta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "\[Xi]"}], ")"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.505216793118392*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"E11", "=", 
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{"Integrate", "[", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"nds", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "*", 
         RowBox[{
          RowBox[{"u", "[", 
           RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Eta]", ",", 
          RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Xi]", ",", 
        RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"U1", ",", "U2", ",", "U3", ",", "U4"}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.50521644264307*^9, 3.50521658108287*^9}, {
  3.505216628253285*^9, 3.5052166293392687`*^9}, {3.505216802435135*^9, 
  3.5052168102149677`*^9}, {3.5052168670457783`*^9, 3.5052168721908817`*^9}, {
  3.505216997548272*^9, 3.505217030541855*^9}, {3.505217105317144*^9, 
  3.505217113616888*^9}}],

Cell[BoxData[
 RowBox[{"0.`", "\[VeryThinSpace]", "+", 
  RowBox[{"U3", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "0.08333333333333334`"}], " ", "Y2", " ", "Z1"}], "+", 
     RowBox[{"0.16666666666666666`", " ", "Y3", " ", "Z1"}], "-", 
     RowBox[{"0.08333333333333333`", " ", "Y4", " ", "Z1"}], "+", 
     RowBox[{"0.08333333333333334`", " ", "Y1", " ", "Z2"}], "-", 
     RowBox[{"0.08333333333333334`", " ", "Y4", " ", "Z2"}], "-", 
     RowBox[{"0.16666666666666666`", " ", "Y1", " ", "Z3"}], "+", 
     RowBox[{"0.16666666666666666`", " ", "Y4", " ", "Z3"}], "+", 
     RowBox[{"0.08333333333333333`", " ", "Y1", " ", "Z4"}], "+", 
     RowBox[{"0.08333333333333334`", " ", "Y2", " ", "Z4"}], "-", 
     RowBox[{"0.16666666666666666`", " ", "Y3", " ", "Z4"}]}], ")"}]}], "+", 
  RowBox[{"U4", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "0.08333333333333334`"}], " ", "Y2", " ", "Z1"}], "+", 
     RowBox[{"0.08333333333333334`", " ", "Y3", " ", "Z1"}], "+", 
     RowBox[{"0.08333333333333334`", " ", "Y1", " ", "Z2"}], "+", 
     RowBox[{"0.08333333333333333`", " ", "Y3", " ", "Z2"}], "-", 
     RowBox[{"0.16666666666666666`", " ", "Y4", " ", "Z2"}], "-", 
     RowBox[{"0.08333333333333334`", " ", "Y1", " ", "Z3"}], "-", 
     RowBox[{"0.08333333333333333`", " ", "Y2", " ", "Z3"}], "+", 
     RowBox[{"0.16666666666666666`", " ", "Y4", " ", "Z3"}], "+", 
     RowBox[{"0.16666666666666666`", " ", "Y2", " ", "Z4"}], "-", 
     RowBox[{"0.16666666666666666`", " ", "Y3", " ", "Z4"}]}], ")"}]}], "+", 
  RowBox[{"U1", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "0.16666666666666666`"}], " ", "Y2", " ", "Z1"}], "+", 
     RowBox[{"0.16666666666666666`", " ", "Y3", " ", "Z1"}], "+", 
     RowBox[{"0.16666666666666666`", " ", "Y1", " ", "Z2"}], "-", 
     RowBox[{"0.08333333333333333`", " ", "Y3", " ", "Z2"}], "-", 
     RowBox[{"0.08333333333333334`", " ", "Y4", " ", "Z2"}], "-", 
     RowBox[{"0.16666666666666666`", " ", "Y1", " ", "Z3"}], "+", 
     RowBox[{"0.08333333333333333`", " ", "Y2", " ", "Z3"}], "+", 
     RowBox[{"0.08333333333333334`", " ", "Y4", " ", "Z3"}], "+", 
     RowBox[{"0.08333333333333334`", " ", "Y2", " ", "Z4"}], "-", 
     RowBox[{"0.08333333333333334`", " ", "Y3", " ", "Z4"}]}], ")"}]}], "+", 
  RowBox[{"U2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "0.16666666666666666`"}], " ", "Y2", " ", "Z1"}], "+", 
     RowBox[{"0.08333333333333334`", " ", "Y3", " ", "Z1"}], "+", 
     RowBox[{"0.08333333333333333`", " ", "Y4", " ", "Z1"}], "+", 
     RowBox[{"0.16666666666666666`", " ", "Y1", " ", "Z2"}], "-", 
     RowBox[{"0.16666666666666666`", " ", "Y4", " ", "Z2"}], "-", 
     RowBox[{"0.08333333333333334`", " ", "Y1", " ", "Z3"}], "+", 
     RowBox[{"0.08333333333333334`", " ", "Y4", " ", "Z3"}], "-", 
     RowBox[{"0.08333333333333333`", " ", "Y1", " ", "Z4"}], "+", 
     RowBox[{"0.16666666666666666`", " ", "Y2", " ", "Z4"}], "-", 
     RowBox[{"0.08333333333333334`", " ", "Y3", " ", "Z4"}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.5052170349147243`*^9, 3.5052171169656*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"E12", "=", 
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{"Integrate", "[", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"nds", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "*", 
         RowBox[{
          RowBox[{"u", "[", 
           RowBox[{"\[Xi]", ",", "\[Eta]"}], "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Eta]", ",", 
          RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Xi]", ",", 
        RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"V1", ",", "V2", ",", "V3", ",", "V4"}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.505214099854183*^9, 3.505214101110421*^9}, {
  3.5052166727169228`*^9, 3.505216687100417*^9}, {3.505216842921206*^9, 
  3.505216852525942*^9}, {3.505217137272286*^9, 3.505217141820959*^9}, {
  3.505217208918303*^9, 3.505217215032411*^9}}],

Cell[BoxData[
 RowBox[{"0.`", "\[VeryThinSpace]", "+", 
  RowBox[{"V3", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "0.08333333333333334`"}], " ", "Y2", " ", "Z1"}], "+", 
     RowBox[{"0.16666666666666666`", " ", "Y3", " ", "Z1"}], "-", 
     RowBox[{"0.08333333333333333`", " ", "Y4", " ", "Z1"}], "+", 
     RowBox[{"0.08333333333333334`", " ", "Y1", " ", "Z2"}], "-", 
     RowBox[{"0.08333333333333334`", " ", "Y4", " ", "Z2"}], "-", 
     RowBox[{"0.16666666666666666`", " ", "Y1", " ", "Z3"}], "+", 
     RowBox[{"0.16666666666666666`", " ", "Y4", " ", "Z3"}], "+", 
     RowBox[{"0.08333333333333333`", " ", "Y1", " ", "Z4"}], "+", 
     RowBox[{"0.08333333333333334`", " ", "Y2", " ", "Z4"}], "-", 
     RowBox[{"0.16666666666666666`", " ", "Y3", " ", "Z4"}]}], ")"}]}], "+", 
  RowBox[{"V4", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "0.08333333333333334`"}], " ", "Y2", " ", "Z1"}], "+", 
     RowBox[{"0.08333333333333334`", " ", "Y3", " ", "Z1"}], "+", 
     RowBox[{"0.08333333333333334`", " ", "Y1", " ", "Z2"}], "+", 
     RowBox[{"0.08333333333333333`", " ", "Y3", " ", "Z2"}], "-", 
     RowBox[{"0.16666666666666666`", " ", "Y4", " ", "Z2"}], "-", 
     RowBox[{"0.08333333333333334`", " ", "Y1", " ", "Z3"}], "-", 
     RowBox[{"0.08333333333333333`", " ", "Y2", " ", "Z3"}], "+", 
     RowBox[{"0.16666666666666666`", " ", "Y4", " ", "Z3"}], "+", 
     RowBox[{"0.16666666666666666`", " ", "Y2", " ", "Z4"}], "-", 
     RowBox[{"0.16666666666666666`", " ", "Y3", " ", "Z4"}]}], ")"}]}], "+", 
  RowBox[{"V1", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "0.16666666666666666`"}], " ", "Y2", " ", "Z1"}], "+", 
     RowBox[{"0.16666666666666666`", " ", "Y3", " ", "Z1"}], "+", 
     RowBox[{"0.16666666666666666`", " ", "Y1", " ", "Z2"}], "-", 
     RowBox[{"0.08333333333333333`", " ", "Y3", " ", "Z2"}], "-", 
     RowBox[{"0.08333333333333334`", " ", "Y4", " ", "Z2"}], "-", 
     RowBox[{"0.16666666666666666`", " ", "Y1", " ", "Z3"}], "+", 
     RowBox[{"0.08333333333333333`", " ", "Y2", " ", "Z3"}], "+", 
     RowBox[{"0.08333333333333334`", " ", "Y4", " ", "Z3"}], "+", 
     RowBox[{"0.08333333333333334`", " ", "Y2", " ", "Z4"}], "-", 
     RowBox[{"0.08333333333333334`", " ", "Y3", " ", "Z4"}]}], ")"}]}], "+", 
  RowBox[{"V2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "0.16666666666666666`"}], " ", "Y2", " ", "Z1"}], "+", 
     RowBox[{"0.08333333333333334`", " ", "Y3", " ", "Z1"}], "+", 
     RowBox[{"0.08333333333333333`", " ", "Y4", " ", "Z1"}], "+", 
     RowBox[{"0.16666666666666666`", " ", "Y1", " ", "Z2"}], "-", 
     RowBox[{"0.16666666666666666`", " ", "Y4", " ", "Z2"}], "-", 
     RowBox[{"0.08333333333333334`", " ", "Y1", " ", "Z3"}], "+", 
     RowBox[{"0.08333333333333334`", " ", "Y4", " ", "Z3"}], "-", 
     RowBox[{"0.08333333333333333`", " ", "Y1", " ", "Z4"}], "+", 
     RowBox[{"0.16666666666666666`", " ", "Y2", " ", "Z4"}], "-", 
     RowBox[{"0.08333333333333334`", " ", "Y3", " ", "Z4"}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{3.505216855669442*^9, 3.505217145751595*^9, 
  3.505217218262019*^9}]
}, Open  ]]
},
WindowSize->{740, 867},
WindowMargins->{{Automatic, 21}, {Automatic, 5}},
FrontEndVersion->"8.0 for Linux x86 (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 1112, 38, 88, "Input"],
Cell[1694, 62, 252, 7, 30, "Output"],
Cell[1949, 71, 252, 7, 30, "Output"],
Cell[2204, 80, 252, 7, 30, "Output"],
Cell[2459, 89, 252, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2748, 101, 1579, 51, 69, "Input"],
Cell[4330, 154, 732, 22, 50, "Output"],
Cell[5065, 178, 732, 22, 50, "Output"],
Cell[5800, 202, 732, 22, 50, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6569, 229, 1208, 35, 52, "Input"],
Cell[7780, 266, 4700, 79, 297, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12517, 350, 1480, 46, 69, "Input"],
Cell[14000, 398, 2237, 66, 88, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16274, 469, 1072, 28, 50, "Input"],
Cell[17349, 499, 3151, 59, 240, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20537, 563, 1019, 27, 50, "Input"],
Cell[21559, 592, 3176, 60, 240, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

